# Class SchlegelCalculator

java.lang.Object
uk.ac.starlink.ttools.calc.MultiServiceColumnCalculator<SchlegelCalculator.Spec>
uk.ac.starlink.ttools.calc.SchlegelCalculator

All Implemented Interfaces:
  `ColumnCalculator<SchlegelCalculator.Spec>`

public class SchlegelCalculator extends MultiServiceColumnCalculator<SchlegelCalculator.Spec>
Column calculator which interrogates the IPAC Dust Extinction map service.

See Also:
  - IPAC Galactic Dust Reddening and Extinction Service
  - 1998ApJ...500..525S

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SchlegelCalculator.ResultType`
Enumerates physical values available from the IPAC dust service.
`static class`
`SchlegelCalculator.Spec`
Specifies the dust query to be made.
`static enum`
`SchlegelCalculator.Statistic`
Enumerates statistics available from the IPAC dust service.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SchlegelCalculator.Statistic`
`DEFAULT_STAT`
Statistic used by default for output.
`static final String`
`SERVICE_URL`
Base URL for IPAC Dust Extinction map service.

## Constructor Summary

Constructors
Constructor
Description
`SchlegelCalculator()`

## Method Summary

Modifier and Type
Method
Description
`ServiceOperation`
`createServiceOperation(SchlegelCalculator.Spec spec)`
Defines the service operation to be invoked for each row.
`uk.ac.starlink.table.ValueInfo[]`
`getTupleInfos()`
Returns an array describing the columns of the input table.
`static void`
`main(String[] args)`
Diagnostic.

### Methods inherited from class MultiServiceColumnCalculator

`calculateColumns`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_URL

public static final String SERVICE_URL
Base URL for IPAC Dust Extinction map service.

See Also:
  - Constant Field Values

### DEFAULT_STAT

public static final SchlegelCalculator.Statistic DEFAULT_STAT
Statistic used by default for output.

## Constructor Details

### SchlegelCalculator

public SchlegelCalculator()

## Method Details

### getTupleInfos

public uk.ac.starlink.table.ValueInfo[] getTupleInfos()
Description copied from interface: `ColumnCalculator`
Returns an array describing the columns of the input table.

Returns:
  one info for each column in the tuple table

### createServiceOperation

public ServiceOperation createServiceOperation(SchlegelCalculator.Spec spec)
Description copied from class: `MultiServiceColumnCalculator`
Defines the service operation to be invoked for each row.

Specified by:
  `createServiceOperation` in class `MultiServiceColumnCalculator<SchlegelCalculator.Spec>`
Parameters:
  `spec` - specification object for the calculation

### main

public static void main(String[] args) throws IOException
Diagnostic.

Throws:
  `IOException`